<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ghy.payment.mapper.PaymentConfirmMapper">

    <sql id="select_columns">
        SELECT id, dept_id, order_no, created_time, confirm_amt, confirmed_amt, reserved_amt, refunded_amt, fee_amt,
               fee_mode, description, prod_mode, app_id, status
        FROM adapay_payment_confirm
    </sql>

    <insert id="insert" parameterType="com.ghy.payment.domain.PaymentConfirm">
        INSERT INTO adapay_payment_confirm
            (id, dept_id, order_no, created_time, confirm_amt, confirmed_amt, reserved_amt,
             refunded_amt, fee_amt, fee_mode, description, prod_mode, app_id, status)
        VALUES (#{id}, #{deptId}, #{orderNo}, #{createdTime}, #{confirmAmt}, #{confirmedAmt}, #{reservedAmt},
                #{refundedAmt}, #{feeAmt}, #{feeMode}, #{description}, #{prodMode}, #{appId}, #{status})
    </insert>

</mapper>